Subject: Re: [PATCH 3/4] Linux: link against libdl

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 8 Apr 2026 12:12:14 +0200

On Fri, Apr 03, 2026 at 01:12:48AM +0000, brian m. carlson wrote:
> Older versions of Rust on Linux, such as that used in Debian 11 in our
> CI, require linking against libdl.  Were we linking with Cargo, this
> would be included automatically, but since we're not, explicitly set it
> in the system-specific config.
> 
> This library is part of libc, so linking against it if it happens to be
> unnecessary will add no dependencies to the resulting binary.  In
> addition, it is provided by both glibc and musl, so it should be
> portable to almost all Linux systems.

Fair. I was wondering whether we should make this conditional on
WITH_RUST, but if it doesn't make a difference anyway I don't see why we
should.

Patrick